# Method Pike.SelectBackend()->`()()

Method `()

  ``float`|`int(0..0)` res = `Pike.SelectBackend()`()`

Description

  Perform one pass through the backend.

  Calls any outstanding call-outs and non-blocking I/O callbacks that are registred in this backend object.

Parameter `sleep_time`

  Wait at most `sleep_time` seconds. The default when unspecified or the integer `0` is no time limit.

Returns

  If the backend did call any callbacks or call outs then the time spent in the backend is returned as a float. Otherwise the integer `0` is returned.

See also

  Pike.DefaultBackend, `main()`